package solver

// Iterate through all combination of blocks and validate them.
func (solver *Solver) CheckCombinations() {
	for rows1Index := range solver.row1s {
		for rows2Index := range solver.row2s {
			for rows3Index := range solver.row3s {
				for rows4Index := range solver.row4s {
					for rows5Index := range solver.row5s {
						for rows6Index := range solver.row6s {
							for rows7Index := range solver.row7s {
								for rows8Index := range solver.row8s {
									for rows9Index := range solver.row9s {
										go solver.validator(rows1Index, rows2Index, rows3Index, rows4Index, rows5Index, rows6Index, rows7Index, rows8Index, rows9Index)
									}
								}
							}
						}
					}
				}
			}
		}
	}
}
